Skip to main content
GET
/
core
/
companies
/
{company_id}
/
shared
/
invoices
Get All Invoices
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{company_id}/shared/invoices \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 54321,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2025-01-05T00:00:00Z",
      "rootfi_updated_at": "2025-01-15T14:20:00Z",
      "rootfi_company_id": 999,
      "platform_id": "inv_stripe_001",
      "contact_id": "12345",
      "currency_id": "USD",
      "document_number": "INV-2025-001",
      "posted_date": "2025-01-05T00:00:00Z",
      "due_date": "2025-02-05T00:00:00Z",
      "status": "PAID",
      "sub_total": 1000,
      "tax_amount": 100,
      "total_discount": 50,
      "shipping_amount": 25,
      "total_amount": 1075,
      "amount_paid": 1075,
      "amount_refunded": 0,
      "amount_credited": 0,
      "amount_due": 0,
      "memo": "Monthly subscription",
      "created_at": "2025-01-05T00:00:00Z",
      "updated_at": "2025-01-15T14:20:00Z",
      "order_ids": [
        "ord_001"
      ],
      "subscription_id": "sub_001",
      "payment_link": "https://pay.example.com/inv_54321",
      "payment_link_expires_at": "2025-02-05T00:00:00Z",
      "line_items": [
        {
          "rootfi_id": 1001,
          "item_id": "prod_001",
          "description": "Premium Plan - Monthly",
          "quantity": 1,
          "unit_amount": 1000,
          "tax_amount": 100,
          "discount_amount": 50,
          "total_amount": 1050
        }
      ],
      "transactions": [
        {
          "rootfi_id": 9001,
          "platform_id": "txn_stripe_001",
          "type": "PAYMENT",
          "amount": 1075,
          "currency_id": "USD",
          "status": "PAID",
          "payment_method_type": "CARD",
          "gateway": "stripe",
          "description": "Payment for INV-2025-001",
          "created_at": "2025-01-05T12:00:00Z"
        }
      ]
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

The Invoices Data Model represents bills issued to contacts for products or services. V4 invoices include embedded transaction history, payment links, and comprehensive relationship tracking.

Authorizations

api_key
string
header
required

Path Parameters

company_id
integer
required

RootFi company ID for the company connection to read or write.

Query Parameters

limit
integer | null

The number of invoices links you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC
expand
string | null

Comma separated fields to expand. Supported values are raw_data

Response

The data of the payments endpoint.

data
paymentsInvoicesObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects